.gradient{
	padding: 50px;
	margin: 20px auto;
	width:220px;
	height:120px;
}
.linear-box{
	background: #ff6d00; /* Old browsers */
	background: -moz-linear-gradient(-45deg, #ff6d00 0%, #ff7500 12%, #ff9600 21%, #ffde00 37%, #ffff00 50%, #ffff00 54%, #ffde00 66%, #ff6d00 94%, #ff6d00 100%); /* FF3.6-15 */
	background: -webkit-linear-gradient(-45deg, #ff6d00 0%,#ff7500 12%,#ff9600 21%,#ffde00 37%,#ffff00 50%,#ffff00 54%,#ffde00 66%,#ff6d00 94%,#ff6d00 100%); /* Chrome10-25,Safari5.1-6 */
	background: linear-gradient(135deg, #ff6d00 0%,#ff7500 12%,#ff9600 21%,#ffde00 37%,#ffff00 50%,#ffff00 54%,#ffde00 66%,#ff6d00 94%,#ff6d00 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ff6d00', endColorstr='#ff6d00',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
}
.radial-box{
	background: #ff7c00; /* Old browsers */
	background: -moz-radial-gradient(circle, center, circle cover, #ff7c00 0%, #2e0d57 0%, #2e0d57 9%, #ff7c00 56%, #f97902 72%); /* FF3.6-15 */
	background: -webkit-radial-gradient(circle, center, circle cover, #ff7c00 0%,#2e0d57 0%,#2e0d57 9%,#ff7c00 56%,#f97902 72%); /* Chrome10-25,Safari5.1-6 */
	background: radial-gradient(circle at center, #ff7c00 0%,#2e0d57 0%,#2e0d57 9%,#ff7c00 56%,#f97902 72%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ff7c00', endColorstr='#f97902',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
}
.scalable-box{
	z-index:999;
	padding: 20px;
	color: #fff;
	text-align: center;
	width:300px;
	height:200px;
	border-radius:5px;
	margin: 100px auto;
	background: green;
	-webkit-transition: transform .8s ease-in-out;
	-o-transition: transform .8s ease-in-out;
	transition: transform .8s ease-in-out;
	cursor: pointer;
}
.scalable-box:hover{
	-webkit-transform: scale(2);
	-ms-transform: scale(2);
	-o-transform: scale(2);
	transform: scale(2);
}
.yellow-box{
	width:50%;
	height:50%;
	border-radius:10px;
	margin: 0 auto;
	background: yellow;
}
.yellow-box:hover{
	transform: rotate(360deg);
	-webkit-transition: transform .8s ease-in-out;
	-o-transition: transform .8s ease-in-out;
	transition: transform .8s ease-in-out;	
}


/* ----------flipcard-------------- */

.container {
	text-align: center;
	width: 220px;
	height:370px;
	margin: 100px auto 500px auto;
	-webkit-perspective: 400px;
	perspective: 400px;
	-moz-transform: perspective(400px);
 	cursor: pointer;	
}
.wrapper {
	margin: 0 auto;
	width: 200px;
	height: 350px;
	-webkit-transform-style: preserve-3d;
	-moz-transform-style: preserve-3d;
	transform-style: preserve-3d;
	-webkit-transition: transform .8s ease-in-out;
	-moz-transition: transform .8s ease-in-out;
	-o-transition: transform .8s ease-in-out;
	transition: transform .8s ease-in-out;  
	position: relative;
}
.side{
	padding:15px;
	width: 100%;
	height: 100%;
	font-family: "Tahoma", sans-serif;
	box-sizing: border-box;
 }
.front-side {
	color: #01A2DD;
 	background: #fff;
	box-shadow: 0 1px 1px 1px rgba(0, 0, 0, 0.3);
}
.back-side{
	color: #fff;
	background: #01A2DD;
	backface-visibility:hidden;
	-webkit-transform: rotateY(-180deg);
	-moz-transform: rotateY(-180deg);
	-ms-transform: rotateY(-180deg);
	transform: rotateY(-180deg);
	position: absolute;
	top: 0;
	left: 0;
}
.container:hover .wrapper{
	-webkit-transform: rotateY(180deg);
	-moz-transform: rotateY(180deg);
	-ms-transform: rotateY(180deg);
	transform: rotateY(180deg);
}
h3 {
	font-size: 20px;
	line-height: 1.5;
	text-transform: uppercase;
	padding: 0 20px;
}





/* ----------Бабочка--------------- */

body {
  text-align: center;
}
h1 {
  font-family: 'Cinzel', serif;
  color: #D72F2C;
  text-shadow: 2px 2px 0 #D9D9D9, 4px 4px 0 white;
}
#container {
  background: url(https://html5book.ru/wp-content/uploads/2015/07/grass.png);
  background-repeat: no-repeat;
  -webkit-perspective: 600px;
  -webkit-perspective-origin: 50% 0%;
  perspective: 600px;
  perspective-origin: 50% 0%; 
  width: 660px;
  height: 100%;
  margin: 50px auto 0;
}
#butterfly {
  position: relative;
  width: 350px;
  height: 312px;
  -webkit-transform: rotate3d(0, 1, 0, 0deg) scale3d(0.5, 0.5, 0.5);
  -ms-transform: rotate3d(0, 1, 0, 0deg) scale3d(0.5, 0.5, 0.5);
  transform: rotate3d(0, 1, 0, 0deg) scale3d(0.5, 0.5, 0.5);
  -webkit-transform-origin: 100% 0%;
  -ms-transform-origin: 100% 0%;
  transform-origin: 100% 0%;
  -webkit-transform-style: preserve-3d;
  -ms-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-animation: butterfly 5s linear infinite;
  animation: butterfly 5s linear infinite;
}
#leftwing {
  position: absolute;
  left: 0px;
  top: 0px;
  width: 200px;
  height: 312px;
  background-image: url(https://html5book.ru/wp-content/uploads/2015/06/butterfly.png);
  background-repeat: no-repeat;
  -webkit-transform: rotateX(90deg) rotate3d(0, 1, 0, 0deg);
  -ms-transform: rotateX(90deg) rotate3d(0, 1, 0, 0deg);
  transform: rotateX(90deg) rotate3d(0, 1, 0, 0deg);
  -webkit-transform-origin: inherit;
  -ms-transform-origin: inherit;
  transform-origin: inherit;
  -webkit-animation: leftwing 0.2s linear infinite;
  animation: leftwing 0.2s linear infinite;
}

@-webkit-keyframes butterfly {
  from {
    -webkit-transform: rotate3d(0, 1, 0, 0deg) scale3d(0.5, 0.5, 0.5) translate3d(-150px, 300px, 0);
  }
  25% {
    -webkit-transform: rotate3d(0, 1, 0, -90deg) scale3d(0.5, 0.5, 0.5) translate3d(-150px, 300px, 0);
  }
  50% {
    -webkit-transform: rotate3d(0, 1, 0, -180deg) scale3d(0.5, 0.5, 0.5) translate3d(-150px, 300px, 0);
  }
  75% {
    -webkit-transform: rotate3d(0, 1, 0, -270deg) scale3d(0.5, 0.5, 0.5) translate3d(-150px, 300px, 0);
  }
  to {
    -webkit-transform: rotate3d(0, 1, 0, -360deg) scale3d(0.5, 0.5, 0.5) translate3d(-150px, 300px, 0);
  }
}
 
 
@keyframes leftwing {
  from {
    transform: rotateX(90deg) rotate3d(0, 1, 0, 0deg);
  }
  50% {
    transform: rotateX(90deg) rotate3d(0, 1, 0, 80deg);
  }
  to {
    transform: rotateX(90deg) rotate3d(0, 1, 0, 00deg);
  }
}